Méliuz S.A

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/meliuz-s-a/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/meliuz-s-a/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1747267200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/IsraelSalmen/status/1923134780214034680",
    "holding_balance": 320.2,
    "holding_net_change": 274.5,
    "transaction_value_usd": 28400000.0,
    "average_entry_value_usd": 103460.84,
    "transaction_value_calculated": false
  },
  {
    "date": 1750636800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": null,
    "holding_balance": 595.7,
    "holding_net_change": 275.4,
    "transaction_value_usd": 29033240.832,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1756944000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.infomoney.com.br/mercados/meliuz-cash3-adquire-901-bitcoins-por-r-55-milhoes/",
    "holding_balance": 604.69,
    "holding_net_change": 9.01,
    "transaction_value_usd": 1010669.72,
    "average_entry_value_usd": 112172.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/meliuz-s-a/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    604.69
  ],
  [
    1782950400000,
    604.69
  ],
  [
    1783036800000,
    604.69
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/meliuz-s-a/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    36259963.73950001
  ],
  [
    1782950400000,
    37181075.9227
  ],
  [
    1783036800000,
    37808840.8931
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/meliuz-s-a/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 3.95,
    "date": "2026-07-01",
    "high": 4.1,
    "open": 3.97,
    "close": 3.95,
    "volume": 547400
  },
  {
    "low": 3.93,
    "date": "2026-07-02",
    "high": 4.03,
    "open": 3.98,
    "close": 3.98,
    "volume": 502200
  },
  {
    "low": 3.92,
    "date": "2026-07-03",
    "high": 4.13,
    "open": 3.94,
    "close": 4.11,
    "volume": 589300
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/meliuz-s-a/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.128,
  "quarterly_earnings_growth": 0.19,
  "eps_estimate_current_quarter": 0.119
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/meliuz-s-a/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 3.27,
  "six_month_return": 3.79,
  "three_month_return": 9.6
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/meliuz-s-a/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 8.4,
  "total_btc_percentage": 0.003,
  "share_price_change_state": "down"
}